| Home | Libraries | People | FAQ | More

#### ip::tcp::resolver

The TCP resolver type.

    typedef basic_resolver< tcp > resolver;

###### Types

Name | Description
--- | ---
endpoint_type | The endpoint type.
implementation_type | The underlying implementation type of I/O object.
iterator | The iterator type.
protocol_type | The protocol type.
query | The query type.
service_type | The type of the service that will be used to provide I/O operations.

###### Member Functions

Name | Description
--- | ---
async_resolve | Asynchronously perform forward resolution of a query to a list of entries.
basic_resolver | Constructor.
cancel | Cancel any asynchronous operations that are waiting on the resolver.
get_io_service | Get the io_service associated with the object.
io_service | (Deprecated: use get_io_service().) Get the io_service associated with the object.
resolve | Perform forward resolution of a query to a list of entries.

###### Protected Data Members

Name | Description
--- | ---
implementation | The underlying implementation of the I/O object.
service | The service associated with the I/O object.

The basic_resolver class template provides the ability to resolve a query to a list of endpoints.

###### Thread Safety

Distinct objects: Safe.

Shared objects: Unsafe.